list_add_tail_rcu
Prev | Doubly Linked Lists | Next

## Name

list_add_tail_rcu — add a new entry to rcu-protected list

## Synopsis

`void list_add_tail_rcu (` | struct list_head * | new,
| struct list_head * | head`)`;

## Arguments

`new`

  new entry to be added

`head`

  list head to add it before

## Description

Insert a new entry before the specified head. This is useful for implementing queues.

The caller must take whatever precautions are necessary (such as holding appropriate locks) to avoid racing with another list-mutation primitive, such as `list_add_tail_rcu` or `list_del_rcu`, running on this same list. However, it is perfectly legal to run concurrently with the _rcu list-traversal primitives, such as `list_for_each_entry_rcu`.

Prev | Up | Next
list_add_rcu | Home | list_del